repo/gentoo:master commit in: app-doc/python-docs/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786588317.215b1e861316b7a6a5712c33ef50a52483d19f2e.mgorny@gentoo>
commit:     215b1e861316b7a6a5712c33ef50a52483d19f2e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 01:44:22 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 02:31:57 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=215b1e86

app-doc/python-docs: Bump to 3.11.16

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-doc/python-docs/Manifest                   |  1 +
 app-doc/python-docs/python-docs-3.11.16.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/app-doc/python-docs/Manifest b/app-doc/python-docs/Manifest
index 4405dbfe361d..ba924740e5c4 100644
--- a/app-doc/python-docs/Manifest
+++ b/app-doc/python-docs/Manifest
@@ -1,6 +1,7 @@
 DIST python-2.7.18-docs-html.tar.bz2 4634932 BLAKE2B c48e2dede15d8186231acf65709641e0844c42e924262d6ee21a55e515aaf4d023bf394681bab780ab83998de9f409685e2d5870506810432145acc6422eff9d SHA512 db39390577ec86f13c9b6b57c01cba36fe9fd89092a773dc94f1a6a19d912759d097c4d80e765d3657b572abc731c1da9e7b4cd4c38065cd444606b906744abe
 DIST python-3.10.20-docs-html.tar.bz2 7329760 BLAKE2B 70f01e26cedca2c14274b2c68584fb5e08672e0104a13dca7db191ff102a066f5579b65c16e2bd3d2c689c8274049bb34345b707cdbfb3f427549878ad019d79 SHA512 c504000dbc3b22cfa32dccfec35137bb7f82c0d8b61e9d68f5f8ff559aed6721c7da210ec7b959d9c238438840514962912a2066d5a436719d9cf2a16104b37f
 DIST python-3.11.15-docs-html.tar.bz2 7879534 BLAKE2B c208395058d6361b5bf572ed952cf51f37975492df47675e31558a5a36547a0da71a4cfe93c8188977fbea4e39b3a740f30b7ed875deca5d862329efb627caf2 SHA512 6a8815e32e5535214782c7378eb0678571cba46c9d5eb817323a3485c732127490142bc78deb00d2f37c8d3a62ceee736c746a120ea1a0dba6b08423123bc97e
+DIST python-3.11.16-docs-html.tar.bz2 8006278 BLAKE2B 28fd3f730c870d3c3493e8312d0d28586b94fa05c84a4a3e0771254002eeacc4331653fb54886c4ce4f58e7c944e89ca0c45fc391a9da3953ab15c4e280299c1 SHA512 051061ea5dae0c15840e3a6751a347a3ea069ce7d34275d56531155c016ad1a06a40d9f56b311670f70690b3765e738f0a982dee1e839294305c0aee91b3272c
 DIST python-3.12.13-docs-html.tar.bz2 8433277 BLAKE2B 3ef4f8daf45f7b691de41de5871240fcc53357689ca0d1e4be520f12cd763f59ff2ce2e8d6cf0df1274c08f01577ee0901ccf38b5dbd04bfbffc1fe13c9625c5 SHA512 16786246a0c3c6e10335881457480ffd92865430d09b0e36b3246117e830376981fd45717113099b4e14c7137366c8a5f2cce6f19142cf827e801b1a66397447
 DIST python-3.12.14-docs-html.tar.bz2 8459739 BLAKE2B 21360dcb5ee9ddc4ea2d92375de1b29015a0ee6061414ee597bd870440ec3f2f68c29444b8db0f5d8a9075c947f60696bfe6761412a163a63fb64598210111f3 SHA512 b2c3418efd1b0548a228773c3fe56ddba8e97ae6eb03ff6d0caf89e4babe4540248e95dea96df0906fc50a8ee20fca70b220afc440d4ec74290bcdc33950a5f1
 DIST python-3.13.14-docs-html.tar.bz2 10489722 BLAKE2B a826b229b2f77ca2868f6f22ea597daa16ee620ecb35665bfb7d7a8435ecd731db80bbafc4b970159a2ffe2f1b3a836a1958890697b116f959e05aabc684986b SHA512 adadb39d3b92b4572c5844cfb3f46d517d9d3ff55b3a3a0e4b21c00377e2d04139db980cf23fc995b9c52d793dc272e29d9c0f19ee3fad41d40748844a3a15e7

diff --git a/app-doc/python-docs/python-docs-3.11.16.ebuild b/app-doc/python-docs/python-docs-3.11.16.ebuild
new file mode 100644
index 000000000000..407c3d450f1b
--- /dev/null
+++ b/app-doc/python-docs/python-docs-3.11.16.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="HTML documentation for Python"
+HOMEPAGE="https://www.python.org/doc/"
+SRC_URI="https://www.python.org/ftp/python/doc/${PV}/python-${PV}-docs-html.tar.bz2"
+S="${WORKDIR}/python-${PV}-docs-html"
+
+LICENSE="PSF-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+src_install() {
+	rm -r _sources || die
+	docinto html
+	dodoc -r .
+
+	newenvd - 60python-docs-${SLOT} <<-EOF
+		PYTHONDOCS_${SLOT//./_}="${EPREFIX}/usr/share/doc/${PF}/html/library"
+	EOF
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.